<template>
    <div class="wrapper-loader center-center">
        <div class="ring loader-ring-1 center-center">
            <div class="ring loader-ring-2 center-center">
                <div class="ring loader-ring-3 center-center">
                    <div class="ring loader-ring-4 center-center">
                        <div class="ring loader-ring-5 center-center">
                            <div class="ring loader-ring-6 center-center">
                                <div class="ring loader-ring-7 center-center">
                                    <div class="ring loader-large center-center">
                                        <div class="ring loader-middle center-center">
                                            <div class="ring loader-small center-center"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'loader'
};
</script>

<style scoped lang="sass">

    .wrapper-loader
        position: fixed
        top: 0
        left: 0
        right: 0
        bottom: 0
        background-color: rgba(0,0,0,0.7)
        z-index: 9999

    .center-center
        display: flex
        align-items: center
        justify-content: center

        .ring
            border-radius: 50%

        .loader-ring-1
            width: 346px
            height: 346px
            border: 1px solid #5f4e3f

            .loader-ring-2
                width: 289px
                height: 289px
                border: 1px solid #6d5a49

                .loader-ring-3
                    width: 250px
                    height: 250px
                    border: 1px solid #79634f

                    .loader-ring-4
                        width: 220px
                        height: 220px
                        border: 1px solid #8a7058

                        .loader-ring-5
                            width: 194px
                            height: 194px
                            border: 1px solid #a28264

                            .loader-ring-6
                                width: 170px
                                height: 170px
                                border: 1px solid #c39b75

                                .loader-ring-7
                                    width: 150px
                                    height: 150px
                                    border: 1px solid #c39b75

                                    .loader-large
                                        width: 131px
                                        height: 131px

                                    &:after
                                        content: " "
                                        display: block
                                        position: absolute
                                        width: 120px
                                        height: 120px
                                        border-radius: 50%
                                        border: 5px solid #FFA552
                                        border-color: #FFA552 #FFA552 #FFA552 transparent
                                        animation: loader-large 1.2s linear infinite

    @keyframes loader-large
        0%
            transform: rotate(360deg)

        100%
            transform: rotate(0deg)
</style>
